Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### log()

Examples

    void setup() {
      int i = 12;
      println(log(i));
      println(log10(i));
    }

    // Calculates the base-10 logarithm of a number
    float log10 (int x) {
      return (log(x) / log(10));
    }

Description | Calculates the natural logarithm (the base-e logarithm) of a number. This function expects the values greater than 0.0.

Syntax

    log(value)

Parameters

value | int or float: number must be greater then 0.0

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST